From 81afdfb06eee17468e4e59607400711d33d2b57d Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 23 Nov 2022 18:16:04 +1100
Subject: [PATCH v6] Cleanup view name hyperlinks for Tables 28.1 and 28.2

---
 doc/src/sgml/monitoring.sgml | 256 +++++++++++++++++++++++++++----------------
 1 file changed, 164 insertions(+), 92 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 2f10413..333fe78 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -304,114 +304,130 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
     <tbody>
      <row>
       <entry>
-       <structname>pg_stat_activity</structname>
+       <link linkend="pg-stat-activity-view"><structname>pg_stat_activity</structname></link>
        <indexterm><primary>pg_stat_activity</primary></indexterm>
       </entry>
       <entry>
        One row per server process, showing information related to
        the current activity of that process, such as state and current query.
-       See <link linkend="monitoring-pg-stat-activity-view">
-       <structname>pg_stat_activity</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_replication</structname><indexterm><primary>pg_stat_replication</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-replication-view"><structname>pg_stat_replication</structname></link>
+       <indexterm><primary>pg_stat_replication</primary></indexterm>
+      </entry>
       <entry>One row per WAL sender process, showing statistics about
        replication to that sender's connected standby server.
-       See <link linkend="monitoring-pg-stat-replication-view">
-       <structname>pg_stat_replication</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_wal_receiver</structname><indexterm><primary>pg_stat_wal_receiver</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-wal-receiver-view"><structname>pg_stat_wal_receiver</structname></link>
+       <indexterm><primary>pg_stat_wal_receiver</primary></indexterm>
+      </entry>
       <entry>Only one row, showing statistics about the WAL receiver from
        that receiver's connected server.
-       See <link linkend="monitoring-pg-stat-wal-receiver-view">
-       <structname>pg_stat_wal_receiver</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_recovery_prefetch</structname><indexterm><primary>pg_stat_recovery_prefetch</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-recovery-prefetch-view"><structname>pg_stat_recovery_prefetch</structname></link>
+       <indexterm><primary>pg_stat_recovery_prefetch</primary></indexterm>
+      </entry>
       <entry>Only one row, showing statistics about blocks prefetched during recovery.
-       See <link linkend="monitoring-pg-stat-recovery-prefetch">
-       <structname>pg_stat_recovery_prefetch</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_subscription</structname><indexterm><primary>pg_stat_subscription</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-subscription-view"><structname>pg_stat_subscription</structname></link>
+       <indexterm><primary>pg_stat_subscription</primary></indexterm>
+      </entry>
       <entry>At least one row per subscription, showing information about
        the subscription workers.
-       See <link linkend="monitoring-pg-stat-subscription">
-       <structname>pg_stat_subscription</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_ssl</structname><indexterm><primary>pg_stat_ssl</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-ssl-view"><structname>pg_stat_ssl</structname></link>
+       <indexterm><primary>pg_stat_ssl</primary></indexterm>
+      </entry>
       <entry>One row per connection (regular and replication), showing information about
        SSL used on this connection.
-       See <link linkend="monitoring-pg-stat-ssl-view">
-       <structname>pg_stat_ssl</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_gssapi</structname><indexterm><primary>pg_stat_gssapi</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-gssapi-view"><structname>pg_stat_gssapi</structname></link>
+       <indexterm><primary>pg_stat_gssapi</primary></indexterm>
+      </entry>
       <entry>One row per connection (regular and replication), showing information about
        GSSAPI authentication and encryption used on this connection.
-       See <link linkend="monitoring-pg-stat-gssapi-view">
-       <structname>pg_stat_gssapi</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_analyze</structname><indexterm><primary>pg_stat_progress_analyze</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-analyze-view"><structname>pg_stat_progress_analyze</structname></link>
+       <indexterm><primary>pg_stat_progress_analyze</primary></indexterm>
+      </entry>
       <entry>One row for each backend (including autovacuum worker processes) running
        <command>ANALYZE</command>, showing current progress.
-       See <xref linkend='analyze-progress-reporting'/>.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_create_index</structname><indexterm><primary>pg_stat_progress_create_index</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-create-index-view"><structname>pg_stat_progress_create_index</structname></link>
+       <indexterm><primary>pg_stat_progress_create_index</primary></indexterm>
+      </entry>
       <entry>One row for each backend running <command>CREATE INDEX</command> or <command>REINDEX</command>, showing
       current progress.
-      See <xref linkend='create-index-progress-reporting'/>.
      </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_vacuum</structname><indexterm><primary>pg_stat_progress_vacuum</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-vacuum-view"><structname>pg_stat_progress_vacuum</structname></link>
+       <indexterm><primary>pg_stat_progress_vacuum</primary></indexterm>
+      </entry>
       <entry>One row for each backend (including autovacuum worker processes) running
        <command>VACUUM</command>, showing current progress.
-       See <xref linkend='vacuum-progress-reporting'/>.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_cluster</structname><indexterm><primary>pg_stat_progress_cluster</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-cluster-view"><structname>pg_stat_progress_cluster</structname></link>
+       <indexterm><primary>pg_stat_progress_cluster</primary></indexterm>
+      </entry>
       <entry>One row for each backend running
        <command>CLUSTER</command> or <command>VACUUM FULL</command>, showing current progress.
-       See <xref linkend='cluster-progress-reporting'/>.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_basebackup</structname><indexterm><primary>pg_stat_progress_basebackup</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-basebackup-view"><structname>pg_stat_progress_basebackup</structname></link>
+       <indexterm><primary>pg_stat_progress_basebackup</primary></indexterm>
+      </entry>
       <entry>One row for each WAL sender process streaming a base backup,
        showing current progress.
-       See <xref linkend='basebackup-progress-reporting'/>.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_progress_copy</structname><indexterm><primary>pg_stat_progress_copy</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-progress-copy-view"><structname>pg_stat_progress_copy</structname></link>
+       <indexterm><primary>pg_stat_progress_copy</primary></indexterm>
+      </entry>
       <entry>One row for each backend running <command>COPY</command>, showing current progress.
-       See <xref linkend='copy-progress-reporting'/>.
       </entry>
      </row>
     </tbody>
@@ -431,112 +447,136 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
 
     <tbody>
      <row>
-      <entry><structname>pg_stat_archiver</structname><indexterm><primary>pg_stat_archiver</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-archiver-view"><structname>pg_stat_archiver</structname></link>
+       <indexterm><primary>pg_stat_archiver</primary></indexterm>
+      </entry>
       <entry>One row only, showing statistics about the
        WAL archiver process's activity. See
-       <link linkend="monitoring-pg-stat-archiver-view">
-       <structname>pg_stat_archiver</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_bgwriter</structname><indexterm><primary>pg_stat_bgwriter</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-bgwriter-view"><structname>pg_stat_bgwriter</structname></link>
+       <indexterm><primary>pg_stat_bgwriter</primary></indexterm>
+      </entry>
       <entry>One row only, showing statistics about the
        background writer process's activity. See
-       <link linkend="monitoring-pg-stat-bgwriter-view">
-       <structname>pg_stat_bgwriter</structname></link> for details.
      </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_wal</structname><indexterm><primary>pg_stat_wal</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-wal-view"><structname>pg_stat_wal</structname></link>
+       <indexterm><primary>pg_stat_wal</primary></indexterm>
+      </entry>
       <entry>One row only, showing statistics about WAL activity. See
-       <link linkend="monitoring-pg-stat-wal-view">
-       <structname>pg_stat_wal</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_database</structname><indexterm><primary>pg_stat_database</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-database-view"><structname>pg_stat_database</structname></link>
+       <indexterm><primary>pg_stat_database</primary></indexterm>
+      </entry>
       <entry>One row per database, showing database-wide statistics. See
-       <link linkend="monitoring-pg-stat-database-view">
-       <structname>pg_stat_database</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_database_conflicts</structname><indexterm><primary>pg_stat_database_conflicts</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-database-conflicts-view"><structname>pg_stat_database_conflicts</structname></link>
+       <indexterm><primary>pg_stat_database_conflicts</primary></indexterm>
+      </entry>
       <entry>
        One row per database, showing database-wide statistics about
        query cancels due to conflict with recovery on standby servers.
-       See <link linkend="monitoring-pg-stat-database-conflicts-view">
-       <structname>pg_stat_database_conflicts</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_slru</structname><indexterm><primary>pg_stat_slru</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-slru-view"><structname>pg_stat_slru</structname></link>
+       <indexterm><primary>pg_stat_slru</primary></indexterm>
+      </entry>
       <entry>One row per SLRU, showing statistics of operations. See
-       <link linkend="monitoring-pg-stat-slru-view">
-       <structname>pg_stat_slru</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_replication_slots</structname><indexterm><primary>pg_stat_replication_slots</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-replication-slots-view"><structname>pg_stat_replication_slots</structname></link>
+       <indexterm><primary>pg_stat_replication_slots</primary></indexterm>
+      </entry>
       <entry>One row per replication slot, showing statistics about the
        replication slot's usage. See
-       <link linkend="monitoring-pg-stat-replication-slots-view">
-       <structname>pg_stat_replication_slots</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_all_tables</structname><indexterm><primary>pg_stat_all_tables</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-all-tables-view"><structname>pg_stat_all_tables</structname></link>
+       <indexterm><primary>pg_stat_all_tables</primary></indexterm>
+      </entry>
       <entry>
        One row for each table in the current database, showing statistics
        about accesses to that specific table.
-       See <link linkend="monitoring-pg-stat-all-tables-view">
-       <structname>pg_stat_all_tables</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_sys_tables</structname><indexterm><primary>pg_stat_sys_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_sys_tables</structname>
+       <indexterm><primary>pg_stat_sys_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_all_tables</structname>, except that only
       system tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_user_tables</structname><indexterm><primary>pg_stat_user_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_user_tables</structname>
+       <indexterm><primary>pg_stat_user_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_all_tables</structname>, except that only user
       tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_all_tables</structname><indexterm><primary>pg_statio_all_tables</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-statio-all-tables-view"><structname>pg_statio_all_tables</structname></link>
+       <indexterm><primary>pg_statio_all_tables</primary></indexterm>
+      </entry>
       <entry>
        One row for each table in the current database, showing statistics
        about I/O on that specific table.
-       See <link linkend="monitoring-pg-statio-all-tables-view">
-       <structname>pg_statio_all_tables</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_sys_tables</structname><indexterm><primary>pg_statio_sys_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_sys_tables</structname>
+       <indexterm><primary>pg_statio_sys_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_tables</structname>, except that only
       system tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_user_tables</structname><indexterm><primary>pg_statio_user_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_user_tables</structname>
+       <indexterm><primary>pg_statio_user_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_tables</structname>, except that only
       user tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_xact_all_tables</structname><indexterm><primary>pg_stat_xact_all_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_xact_all_tables</structname>
+       <indexterm><primary>pg_stat_xact_all_tables</primary></indexterm>
+      </entry>
       <entry>Similar to <structname>pg_stat_all_tables</structname>, but counts actions
       taken so far within the current transaction (which are <emphasis>not</emphasis>
       yet included in <structname>pg_stat_all_tables</structname> and related views).
@@ -545,106 +585,138 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
      </row>
 
      <row>
-      <entry><structname>pg_stat_xact_sys_tables</structname><indexterm><primary>pg_stat_xact_sys_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_xact_sys_tables</structname>
+       <indexterm><primary>pg_stat_xact_sys_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_xact_all_tables</structname>, except that only
       system tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_xact_user_tables</structname><indexterm><primary>pg_stat_xact_user_tables</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_xact_user_tables</structname>
+       <indexterm><primary>pg_stat_xact_user_tables</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_xact_all_tables</structname>, except that only
       user tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_all_indexes</structname><indexterm><primary>pg_stat_all_indexes</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-all-indexes-view"><structname>pg_stat_all_indexes</structname></link>
+       <indexterm><primary>pg_stat_all_indexes</primary></indexterm>
+      </entry>
       <entry>
        One row for each index in the current database, showing statistics
        about accesses to that specific index.
-       See <link linkend="monitoring-pg-stat-all-indexes-view">
-       <structname>pg_stat_all_indexes</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_sys_indexes</structname><indexterm><primary>pg_stat_sys_indexes</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_sys_indexes</structname>
+       <indexterm><primary>pg_stat_sys_indexes</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_all_indexes</structname>, except that only
       indexes on system tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_user_indexes</structname><indexterm><primary>pg_stat_user_indexes</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_user_indexes</structname>
+       <indexterm><primary>pg_stat_user_indexes</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_stat_all_indexes</structname>, except that only
       indexes on user tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_all_indexes</structname><indexterm><primary>pg_statio_all_indexes</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-statio-all-indexes-view"><structname>pg_statio_all_indexes</structname></link>
+       <indexterm><primary>pg_statio_all_indexes</primary></indexterm>
+      </entry>
       <entry>
        One row for each index in the current database,
        showing statistics about I/O on that specific index.
-       See <link linkend="monitoring-pg-statio-all-indexes-view">
-       <structname>pg_statio_all_indexes</structname></link> for details.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_sys_indexes</structname><indexterm><primary>pg_statio_sys_indexes</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_sys_indexes</structname>
+       <indexterm><primary>pg_statio_sys_indexes</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_indexes</structname>, except that only
       indexes on system tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_user_indexes</structname><indexterm><primary>pg_statio_user_indexes</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_user_indexes</structname>
+       <indexterm><primary>pg_statio_user_indexes</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_indexes</structname>, except that only
       indexes on user tables are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_all_sequences</structname><indexterm><primary>pg_statio_all_sequences</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-statio-all-sequences-view"><structname>pg_statio_all_sequences</structname></link>
+       <indexterm><primary>pg_statio_all_sequences</primary></indexterm>
+     </entry>
      <entry>
        One row for each sequence in the current database,
        showing statistics about I/O on that specific sequence.
-       See <link linkend="monitoring-pg-statio-all-sequences-view">
-       <structname>pg_statio_all_sequences</structname></link> for details.
      </entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_sys_sequences</structname><indexterm><primary>pg_statio_sys_sequences</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_sys_sequences</structname>
+       <indexterm><primary>pg_statio_sys_sequences</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_sequences</structname>, except that only
       system sequences are shown.  (Presently, no system sequences are defined,
       so this view is always empty.)</entry>
      </row>
 
      <row>
-      <entry><structname>pg_statio_user_sequences</structname><indexterm><primary>pg_statio_user_sequences</primary></indexterm></entry>
+      <entry>
+       <structname>pg_statio_user_sequences</structname>
+       <indexterm><primary>pg_statio_user_sequences</primary></indexterm>
+      </entry>
       <entry>Same as <structname>pg_statio_all_sequences</structname>, except that only
       user sequences are shown.</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_user_functions</structname><indexterm><primary>pg_stat_user_functions</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-user-functions-view"><structname>pg_stat_user_functions</structname></link>
+       <indexterm><primary>pg_stat_user_functions</primary></indexterm>
+      </entry>
       <entry>
        One row for each tracked function, showing statistics
-       about executions of that function. See
-       <link linkend="monitoring-pg-stat-user-functions-view">
-       <structname>pg_stat_user_functions</structname></link> for details.
+       about executions of that function.
       </entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_xact_user_functions</structname><indexterm><primary>pg_stat_xact_user_functions</primary></indexterm></entry>
+      <entry>
+       <structname>pg_stat_xact_user_functions</structname>
+       <indexterm><primary>pg_stat_xact_user_functions</primary></indexterm>
+      </entry>
       <entry>Similar to <structname>pg_stat_user_functions</structname>, but counts only
       calls during the current transaction (which are <emphasis>not</emphasis>
       yet included in <structname>pg_stat_user_functions</structname>).</entry>
      </row>
 
      <row>
-      <entry><structname>pg_stat_subscription_stats</structname><indexterm><primary>pg_stat_subscription_stats</primary></indexterm></entry>
+      <entry>
+       <link linkend="pg-stat-subscription-stats-view"><structname>pg_stat_subscription_stats</structname></link>
+       <indexterm><primary>pg_stat_subscription_stats</primary></indexterm>
+      </entry>
       <entry>One row per subscription, showing statistics about errors.
-      See <link linkend="monitoring-pg-stat-subscription-stats">
-      <structname>pg_stat_subscription_stats</structname></link> for details.
       </entry>
      </row>
 
@@ -3136,7 +3208,7 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    <primary>pg_stat_subscription</primary>
   </indexterm>
 
-  <table id="pg-stat-subscription" xreflabel="pg_stat_subscription">
+  <table id="pg-stat-subscription-view" xreflabel="pg_stat_subscription">
    <title><structname>pg_stat_subscription</structname> View</title>
    <tgroup cols="1">
     <thead>
@@ -3252,7 +3324,7 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    one row per subscription.
   </para>
 
-  <table id="pg-stat-subscription-stats" xreflabel="pg_stat_subscription_stats">
+  <table id="pg-stat-subscription-stats-view" xreflabel="pg_stat_subscription_stats">
    <title><structname>pg_stat_subscription_stats</structname> View</title>
    <tgroup cols="1">
     <thead>
-- 
1.8.3.1

